Bug 81399 - fail to install MPICH-1.2.4 with Intel Compiler 7.0 on RedHat 8.0
fail to install MPICH-1.2.4 with Intel Compiler 7.0 on RedHat 8.0
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-08 19:48 EST by Jyh-Shyong Ho
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 20:14:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jyh-Shyong Ho 2003-01-08 19:48:29 EST
Description of problem:
The Installation of MPICH-1.2.4 with Intel compiler C++ 7.0 failed on RedHat 8.0

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat 8.0
2.Install Intel compiler C++ 7.0
3.Install MPICH-1.2.4
./configure -cc=icc -fc=ifc -f90=ifc --with-device=ch_p4
--with-arch=LINUX --prefix=/opt/mpi/mpich124
4.make
    
Actual results:
...
12 Lines Compiled
ar cr /work/source/mpich-1.2.4/lib/libmpichf90nc.a .tmp/mpi.o mpi1.o
mpi2.o \
mpi_constants.o
if [ ! -d /work/source/mpich-1.2.4/include/f90base ] ; then \
mkdir /work/source/mpich-1.2.4/include/f90base ; fi
cp mpi-base.mod /work/source/mpich-1.2.4/include/f90base/MPI.mod
cp MPI_CONSTANTS.mod /work/source/mpich-1.2.4/include/f90base
cp MPI1.mod /work/source/mpich-1.2.4/include/f90base
cp MPI2.mod /work/source/mpich-1.2.4/include/f90base
make --no-print-directory mpi-lib-test
make --no-print-directory profileliblink
Testing that MPI applications can be linked...
make --no-print-directory linktest
make overtake
/work/source/mpich-1.2.4/bin/mpicc -DUSE_SOCKLEN_T -DUSE_U_INT_FOR_XDR
-DHAVE_MPICHCONF_H -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE
_STRING_H=1 -DUSE_STDARG=1 -DHAVE_LONG_DOUBLE=1 -DHAVE_LONG_LONG_INT=1
-DHAVE_PROTOTYPES=1 -DHAVE_SIGNAL_H=1 -DHAVE_SIGACTION=1 -DHA
VE_SLEEP=1 -DHAVE_SYSCONF=1 -c overtake.c
/work/source/mpich-1.2.4/bin/mpicc -DUSE_SOCKLEN_T -DUSE_U_INT_FOR_XDR
-DHAVE_MPICHCONF_H -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE
_STRING_H=1 -DUSE_STDARG=1 -DHAVE_LONG_DOUBLE=1 -DHAVE_LONG_LONG_INT=1
-DHAVE_PROTOTYPES=1 -DHAVE_SIGNAL_H=1 -DHAVE_SIGACTION=1 -DHA
VE_SLEEP=1 -DHAVE_SYSCONF=1 -c test.c
/work/source/mpich-1.2.4/bin/mpicc -o overtake overtake.o test.o
/work/source/mpich-1.2.4/lib/libmpich.a(p4_utils.o): In function
`p4_wait_for_end':
p4_utils.o(.text+0xcb2): undefined reference to `__bswap_32'
p4_utils.o(.text+0xcc7): undefined reference to `__bswap_32'
/work/source/mpich-1.2.4/lib/libmpich.a(p4_utils.o): In function
`zap_remote_p4_processes':
p4_utils.o(.text+0x1078): undefined reference to `__bswap_32'
p4_utils.o(.text+0x1082): undefined reference to `__bswap_32'
p4_utils.o(.text+0x108c): undefined reference to `__bswap_32'
/work/source/mpich-1.2.4/lib/libmpich.a(p4_utils.o)(.text+0x1129): more
undefined references to `__bswap_32' follow
make[4]: *** [overtake] Error 1
make[3]: [linktest] Error 2 (ignored)
Could not link a C program with MPI libraries
make[3]: *** [linktest] Error 1
make[2]: *** [linktest] Error 2
make[1]: *** [mpi-lib-test] Error 2
make: *** [mpi] Error 2

The installation is successful with GNU compiler.


Expected results:


Additional info:
Mr. Gropp of MPICH group informed me than bswap_32 is not a 
symbol in MPICH.  This is probably an error in the Intel
compiler or an incompatibility between the system header 
files on RedHat and the Intel compiler.
A member of the Intel compiler user group onformed me that
it might be the problem of the version of glibc under RH8.0.
Comment 1 Jakub Jelinek 2003-01-08 20:14:49 EST
This was fixed in glibc-2.3.1-9.
Comment 2 Jyh-Shyong Ho 2003-01-09 00:15:34 EST
Thank you for the information, but glibc-2.3.1-9 rpm cannot be downloaded from
at.rpmfind.net. can anyone help?

Note You need to log in before you can comment on or make changes to this bug.